# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define ver_major 2.22
%define _name mousetweaks
%def_disable static

Name: gnome-%_name
Version: %ver_major.3
Release: alt0.M41.1

Summary: Mouse accessibility enhancements
License: %gpl3plus
Group: Graphical desktop/GNOME
Url: http://live.gnome.org/Mousetweaks/Home
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%_name-%version.tar.bz2

PreReq: GConf2
PreReq: librarian

BuildPreReq: rpm-build-gnome rpm-build-licenses

# From configure.ac
BuildPreReq: gnome-common
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libGConf-devel GConf
BuildPreReq: libgtk+2-devel
BuildPreReq: libglade2-devel
BuildPreReq: libgnome-panel-devel
BuildPreReq: libat-spi-devel
BuildPreReq: libdbus-glib-devel
BuildPreReq: libgnomeui-devel
BuildPreReq: libgnome-devel
BuildPreReq: libXfixes-devel

BuildRequires: perl-XML-Parser librarian gnome-doc-utils

BuildRequires: rpm-build-compat >= 0.95

%description
The Mousetweaks package provides mouse accessibility enhancements for
the GNOME desktop. These enhancements are:
 1. It offers a way to perform the various clicks without using any
    hardware button.
 2. It allows users to perform a right click by doing a click&hold
    of the left mousebutton. (For a left-handed mouse user, the termes
    left and right have to be inverted.)
 3. It provides an applet that the user can install on a panel. This
    applet creates an area on the panel into which the pointer can
    be captured until the user releases it with a predefined button
    and modifier combination.
The options can be accessed through the Accessibility tab of the
Mouse Preferences of GNOME Control Center or through command-line.

%prep
%setup -q -n %_name-%version

%build
%autoreconf
%configure \
	%{subst_enable static} \
	--disable-schemas-install \
	--disable-scrollkeeper

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome %_name

%post
%gconf2_install %_name pointer-capture-applet
%update_scrollkeeper
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name pointer-capture-applet
fi

%postun
%clean_scrollkeeper
%clean_menus

%files -f %_name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_datadir/%_name
%_man1dir/*
%config %gconf_schemasdir/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Tue Jul 01 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.3-alt1
- 2.22.3 

* Thu Jun 19 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2-alt1
- First build for Sisyphus
